/**
 * TrueReality - include/compile_static_extern.h
 * Copyright (C) 1998, 1999 Niki W. Waibel
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * Information about me (the author):
 *   Niki W. Waibel, Reichenau 20, 6890 Lustenau, Austria - EUROPE
 *   niki.waibel@gmx.net
**/





#ifndef __TR_COMPILE_STATIC_EXTERN_H
#define __TR_COMPILE_STATIC_EXTERN_H





#include "../N64/compile_static.h"





#define TR_COMPILE_OPCODE(x) ( (((x) >> 20) & 0xfc0) | ((x) & 0x03f) )





extern void (*tr_compile_tab[4096])(tr_u32 code, tr_instruction *dest);





#endif /* #ifndef __TR_COMPILE_STATIC_EXTERN_H */

