/**
 * TrueReality - output/display/warp_resolution_and_depth.h
 * Copyright (C) 1998, 1999 Niki W. Waibel
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * Information about me (the author):
 *   Niki W. Waibel, Reichenau 20, 6890 Lustenau, Austria - EUROPE
 *   niki.waibel@gmx.net
**/





#ifndef __WARP_RESOLUTION_AND_DEPTH_H
#define __WARP_RESOLUTION_AND_DEPTH_H





void render_image_16_to_06(tr_u16 *imsrc2, tr_u8  *imdst1, int width, int height, int WIDTH, int HEIGHT);
void render_image_16_to_15(tr_u16 *imsrc2, tr_u16 *imdst2, int width, int height, int WIDTH, int HEIGHT);
void render_image_16_to_16(tr_u16 *imsrc2, tr_u16 *imdst2, int width, int height, int WIDTH, int HEIGHT);
void render_image_16_to_24(tr_u16 *imsrc2, tr_u8  *imdst1, int width, int height, int WIDTH, int HEIGHT);
void render_image_16_to_32(tr_u16 *imsrc2, tr_u32  *imdst4, int width, int height, int WIDTH, int HEIGHT);

void render_image_32_to_06(tr_u32 *imsrc4, tr_u8  *imdst1, int width, int height, int WIDTH, int HEIGHT);
void render_image_32_to_15(tr_u32 *imsrc4, tr_u16 *imdst2, int width, int height, int WIDTH, int HEIGHT);
void render_image_32_to_16(tr_u32 *imsrc4, tr_u16 *imdst2, int width, int height, int WIDTH, int HEIGHT);
void render_image_32_to_24(tr_u32 *imsrc4, tr_u8  *imdst1, int width, int height, int WIDTH, int HEIGHT);
void render_image_32_to_32(tr_u32 *imsrc4, tr_u32  *imdst4, int width, int height, int WIDTH, int HEIGHT);





#endif /* #ifndef __WARP_RESOLUTION_AND_DEPTH_H */

